<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= error_messages_for @project %>

<%= form_for @project,
             url: project_identifier_path(@project),
             html: { class: 'danger-zone form -vertical' } do |f| %>
  <section class="form--section">
    <h3 class="form--section-title">
      <%= t('project.identifier.title') %>
    </h3>

    <p class="danger-zone--warning">
      <span class="icon icon-error"></span>
      <span><%= t('project.identifier.warning_one').html_safe %></span>
      <br>
      <span class="icon icon-error"></span>
      <span><%= t('project.identifier.warning_two').html_safe %></span>
    </p>

    <%= styled_label_tag 'identifier', Project.human_attribute_name(:identifier), class: '-required' %>
    <div class="danger-zone--verification">
      <%= f.text_field :identifier %>
      <span>
        <%= f.submit t(:button_update), class: 'button -primary -with-icon icon-checkmark' %>
      </span>
      <span>
        <%= link_to project_settings_general_path(@project), class: 'button' do %>
          <%= op_icon('button--icon icon-cancel') %>
          <span class="button--text"><%= t(:button_cancel) %></span>
        <% end %>
      </span>
    </div>

    <br>

    <div class="form--field-instructions">
      <%= t(:text_length_between, min: 1,
                                  max: Project::IDENTIFIER_MAX_LENGTH) %>
      <%= t(:text_project_identifier_info).html_safe %>
    </div>

  </section>
<% end %>
